/**
 * Text Block Styles
 * 
 * Flexible text block with optional gallery or shortcode
 * Supports 3 layouts: text-only, text+images, text+shortcode
 */

/* Ansprechperson */

.kontakt-block-ansprechperson .row{position:relative;}
.kontakt-block-ansprechperson .row:before{content:'';position:absolute;top:0;right:0;bottom:0;left:0;background:rgba(255,255,255,0.6);}
.kontakt-block-ansprechperson .text .ansprechperson{position:relative;z-index:9;padding:175px 0;}
.kontakt-block-ansprechperson .text .ansprechperson .headline{text-transform:none;width:95%;position:relative;}
.kontakt-block-ansprechperson .text .ansprechperson .text-content .tel{position:relative;padding-left:20px;}
.kontakt-block-ansprechperson .text .ansprechperson .text-content .tel:before{content:'';display:block;width:15px;height:15px;background:url('/wp-content/themes/altex-nonwoven/assets/media/phone-call.png');background-size:100%;background-position:center;background-repeat:no-repeat;position:absolute;top:6px;left:0;}
.kontakt-block-ansprechperson .ansprechrow-mobile-img{display: none;}

/* Mit Karte */

.kontakt-block-map.is-mirrored .mitkarte{padding:75px;}

.kontakt-block-map .text .mitkarte .text-content .tel{position:relative;padding-left:30px;color:var(--brand-accent-color);transition:all .3s ease;}
.kontakt-block-map .text .mitkarte .text-content .tel:hover{color:var(--brand-accent-color-hover);transition:all .3s ease;}
.kontakt-block-map .text .mitkarte .text-content .tel:before{content:'';display:block;width:20px;height:20px;background:url('/wp-content/themes/altex-nonwoven/assets/media/phone-call.png');background-size:100%;background-position:center;background-repeat:no-repeat;position:absolute;top:4px;left:0;}
.kontakt-block-map .text .mitkarte .text-content .mail{position:relative;padding-left:30px;color:var(--brand-accent-color);transition:all .3s ease;}
.kontakt-block-map .text .mitkarte .text-content .mail:hover{color:var(--brand-accent-color-hover);transition:all .3s ease;}
.kontakt-block-map .text .mitkarte .text-content .mail:before{content:'';display:block;width:20px;height:20px;background:url('/wp-content/themes/altex-nonwoven/assets/media/mail.png');background-size:100%;background-position:center;background-repeat:no-repeat;position:absolute;top:4px;left:0;}

/* Abweichungen */
.kontakt-block-formular .formular .headlines{padding-bottom: 50px;}
.kontakt-block-formular .formular .subline{text-transform: none;}


/* Responsive Adjustments */
@media(max-width: 991px){
    .kontakt-block-ansprechperson .ansprechrow{background:none!important;}
    .kontakt-block-ansprechperson .ansprechrow-mobile-img{display: block; margin-top: 30px;}
    .kontakt-block-ansprechperson .row::before{display: none}
    .kontakt-block-ansprechperson .text .ansprechperson{padding: 100px 0;}
}
